Subject: pkg/34786: [patch] python 2.4 plist incorrect on FreeBSD
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 10/11/2006 22:05:01
>Number:         34786
>Category:       pkg
>Synopsis:       [patch] python 2.4 plist incorrect on FreeBSD
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Oct 11 22:05:00 +0000 2006
>Originator:     Peter Schuller
>Release:        FreeBSD 6.1
On FreeBSD python 2.4 has a PLIST problem:

Python's has an explicit special case for FreeBSD where it cuts of the second component of the SO version. I have no idea what the reason for this is, but the FreeBSD port leaves it as is


This patch:

Uses PLIST_SUBST to rectify the PLIST on FreeBSD.